Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.macromedia.generator.api
Class Shape

    java.lang.Object
      |
      +--com.macromedia.generator.api.GenObject
            |
            +--com.macromedia.generator.api.Shape

public class Shape
extends GenObject

Fields inherited from class com.macromedia.generator.api.GenObject
`peer`

Constructor Summary
`` | `Shape()`
`protected` | `Shape(int i)`

Method Summary
`void` | `append(Shape shape)`
`void` | `curveTo(int i, int j, int k, int l)`
`protected void` | `finalize()`
`Rect` | `getBounds()`
`void` | `lineTo(int i, int j)`
`void` | `moveTo(int i, int j)`
`void` | `release()`
`void` | `setCenter(int i, int j)`
`void` | `setFillStyle(FillStyle fillstyle, FillStyle fillstyle1)`
`void` | `setLineStyle(LineStyle linestyle)`

Methods inherited from class com.macromedia.generator.api.GenObject
`getPeer`

Methods inherited from class java.lang.Object
`, clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Shape

    public Shape()
          throws GeneratorApiException

### Shape

    protected Shape(int i)
             throws GeneratorApiException

Method Detail

### append

    public void append(Shape shape)
                throws GeneratorApiException

### curveTo

    public void curveTo(int i,
                        int j,
                        int k,
                        int l)
                 throws GeneratorApiException

### finalize

    protected void finalize()
                     throws java.lang.Throwable

  Overrides:
    `finalize` in class `java.lang.Object`

### getBounds

    public Rect getBounds()
                   throws GeneratorApiException

### lineTo

    public void lineTo(int i,
                       int j)
                throws GeneratorApiException

### moveTo

    public void moveTo(int i,
                       int j)
                throws GeneratorApiException

### release

    public void release()

  Overrides:
    `release` in class `GenObject`

### setCenter

    public void setCenter(int i,
                          int j)
                   throws GeneratorApiException

### setFillStyle

    public void setFillStyle(FillStyle fillstyle,
                             FillStyle fillstyle1)
                      throws GeneratorApiException

### setLineStyle

    public void setLineStyle(LineStyle linestyle)
                      throws GeneratorApiException

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD